libetonyek::KEY1SpanElement Class Reference documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::KEY1SpanElement Class Reference

`#include <KEY1SpanElement.h>`

Inheritance diagram for libetonyek::KEY1SpanElement:

## Public Member Functions
| KEY1SpanElement (KEY1ParserState &state, IWORKStylePtr_t parentStyle, bool &delayedLineBreak)
Public Member Functions inherited from libetonyek::KEY1XMLContextBase< IWORKXMLContextElement >
| KEY1XMLContextBase (KEY1ParserState &state)
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
| KEY1XMLContextBase (KEY1ParserState &state)
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Static Public Member Functions
static void | sendCDATA (const char *value, std::shared_ptr< IWORKText > currentText, IWORKStylePtr_t spanStyle, bool &delayedLineBreak)

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | CDATA (const char *value) override
void | text (const char *value) override
void | endOfElement () override
void | ensureClosed ()
void | ensureOpened ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
KEY1SpanStyle | m_style
bool | m_opened
bool & | m_delayedLineBreak

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ KEY1SpanElement()

libetonyek::KEY1SpanElement::KEY1SpanElement | ( | KEY1ParserState & | state,
|  | IWORKStylePtr_t | parentStyle,
|  | bool & | delayedLineBreak )

## Member Function Documentation

## ◆ attribute()

void libetonyek::KEY1SpanElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotected

## ◆ CDATA()

void libetonyek::KEY1SpanElement::CDATA | ( | const char * | value | ) |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::KEY1SpanElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::KEY1SpanElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ ensureClosed()

void libetonyek::KEY1SpanElement::ensureClosed | ( |  | ) |
| protected

Referenced by CDATA(), endOfElement(), and text().

## ◆ ensureOpened()

void libetonyek::KEY1SpanElement::ensureOpened | ( |  | ) |
| protected

Referenced by text().

## ◆ sendCDATA()

void libetonyek::KEY1SpanElement::sendCDATA | ( | const char * | value,
|  | std::shared_ptr< IWORKText > | currentText,
|  | IWORKStylePtr_t | spanStyle,
|  | bool & | delayedLineBreak )
| static

Referenced by libetonyek::KEY1ContentElement::CDATA(), libetonyek::KEY1DivElement::CDATA(), and CDATA().

## ◆ text()

void libetonyek::KEY1SpanElement::text | ( | const char * | value | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_delayedLineBreak

bool& libetonyek::KEY1SpanElement::m_delayedLineBreak
| private

Referenced by CDATA(), KEY1SpanElement(), and text().

## ◆ m_opened

bool libetonyek::KEY1SpanElement::m_opened
| private

Referenced by ensureClosed(), ensureOpened(), and KEY1SpanElement().

## ◆ m_style

KEY1SpanStyle libetonyek::KEY1SpanElement::m_style
| private

Referenced by attribute(), CDATA(), ensureOpened(), and KEY1SpanElement().

The documentation for this class was generated from the following files:

- KEY1SpanElement.h
- KEY1SpanElement.cpp